From 291741417694abca83b1ea9f2f037ba22f6da9c1 Mon Sep 17 00:00:00 2001
From: Jason Woodward <woodwardj@jaos.org>
Date: Sat, 5 Jul 2014 20:12:17 -0400
Subject: [PATCH] fix conflict/reverse dep resolution when installing an
 alternative

---
 ChangeLog    | 3 +++
 src/action.c | 5 ++++-
 2 files changed, 7 insertions(+), 1 deletion(-)

diff --git a/ChangeLog b/ChangeLog
index 6615c0f..f3b6ef9 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,4 +1,7 @@
 
+0.10.2r Jul  05, 2014
+ * fix conflict/reverse dep resolution when installing an alternative
+
 0.10.2q Apr  05, 2014
  * translation updates
  * support fractional installed size from /var/log/packages files
diff --git a/src/action.c b/src/action.c
index 0e9b6c6..5076458 100644
--- a/src/action.c
+++ b/src/action.c
@@ -88,6 +88,10 @@ void slapt_pkg_action_install(const slapt_rc_config *global_config,
 
         slapt_pkg_list_t *conflicts = slapt_is_conflicted(tran,avail_pkgs, installed_pkgs, pkg);
 
+	      /* this comes first so we can pick up that we are installed the package when
+	      * checking conflicts */
+        slapt_add_install_to_transaction(tran,pkg);
+
         /* if there are conflicts, we schedule the conflicts for removal */
         if (conflicts->pkg_count > 0 && global_config->ignore_dep != SLAPT_TRUE) {
           unsigned int cindex = 0;
@@ -110,7 +114,6 @@ void slapt_pkg_action_install(const slapt_rc_config *global_config,
           }
         }
         slapt_free_pkg_list(conflicts);
-        slapt_add_install_to_transaction(tran,pkg);
 
       } else {
         printf(gettext("Excluding %s, use --ignore-dep to override\n"),
-- 
2.0.1

